﻿Anritsu                                                     MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Measure Flatness /N5531S
DATE:                  2014-02-22 15:24:48
AUTHOR:                Fluke
REVISION:              $Revision: 8102 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       124
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_measure_flatness_N5531S.mc $
#    $Date: 2014-06-10 06:41:52 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#        Sub MG369XC Get Flat Cal Power
#        Sub MG369XC Settling Delay
#        Sub MG369XC Measure Flatness Power /N5531S
#        Sub MG369XC Get Flatness Table Index
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @StartStep = 0

  1.002  IF           @Opt_2

  1.003  IF           @MG3691C
  1.004  MATH         @LastStep = 11
  1.005  ELSEIF       @MG3692C
  1.006  MATH         @LastStep = 11
  1.007  ELSEIF       @MG3693C && @Opt_15
  1.008  MATH         @LastStep = 11
  1.009  ELSEIF       @MG3693C
  1.010  MATH         @LastStep = 10
  1.011  ELSEIF       @MG3694C && @Opt_15
  1.012  MATH         @LastStep = 11
  1.013  ELSEIF       @MG3694C
  1.014  MATH         @LastStep = 10
  1.015  ELSEIF       @MG3695C && @Opt_15
  1.016  MATH         @LastStep = 10
  1.017  ELSE         ; @MG3695C
  1.018  MATH         @LastStep = 9
  1.019  ENDIF

# The low power levels are not calibrated above 40 GHz
  1.020  IF           @FreqGHz > 40
  1.021  MATH         @LastStep = @LastStep - 4
  1.022  ENDIF

  1.023  ELSE         # @Opt_2
  1.024  MATH         @LastStep = 0
  1.025  ENDIF        # @opt_2


  1.026  MATH         @Step = @StartStep
  1.027  WHILE        @Step <= @LastStep

  1.028  TARGET       -p

# Set power level based on step, firmware version & rated power
  1.029  CALL         Sub MG369XC Get Flat Cal Power
  1.030  MATH         @LvldBm = @FlatCalLvldBm

# Set the attenuation step and the freq the DUT should output
  1.031  MATH         S[1] = "Freq " & FMT(@FreqGHz,"%6.3f")
  1.032  MATH         S[1] = S[1] & "   Step " & @Step
  1.033  MATH         S[1] = S[1] & "   Level " & @LvldBm
  1.034  HEAD         -2[S1]

# Make the step number 2 digits with leading zeros.
  1.035  MATH         S[1] = "00" & @Step
  1.036  MATH         S[2] = SUB(S[1],LEN(S[1])-1,2)
  1.037  MATH         FreqMHz = @FreqGHz * 1000
  1.038  IEEE         ATT[SREG2] FRQ[V FreqMHz]X[D50]

# Let the hardware settle
  1.039  CALL         Sub MG369XC Settling Delay

# Measure the power being output from the DUT
  1.040  CALL         Sub MG369XC Measure Flatness Power /N5531S

# Calculate the correction
  1.041  MATH         Correction = RND((@FlatnessPower - @LvldBm) * 100 )

# Save the correction in the temporary file
  1.042  CALL         Sub MG369XC Get Flatness Table Index
  1.043  MATH         s[3] = "," & @TableIndex
  1.044  MATH         s[4] = "," & @FreqGHz & "," & Correction
  1.045  MATH         APPEND(@CorrectionFile,@Step&S[3]&S[4])

  1.046  MATH         @Step = @Step + 1
  1.047  ENDW

  1.048  TARGET       -p

# Fill the remaining steps, if any, with default values
  1.049  IF           @Opt_2
  1.050  WHILE        @Step <= 11
  1.051  MATH         APPEND(@CorrectionFile,@Step&S[3]&S[4])

  1.052  MATH         @Step = @Step + 1
  1.053  ENDW
  1.054  ENDIF


  1.055  END
