﻿Anritsu                                                     MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Init Measure Flatness Power /N5531S
INSTRUMENT:            Sub MG369XC Measure Flatness Power /N5531S
DATE:                  2014-02-26 14:24:03
AUTHOR:                Al Shannon
REVISION:              $Revision: 8103 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       98
CONFIGURATION:         Agilent PSA (233)
CONFIGURATION:         Agilent EPM
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_measure_flatness_power_n5531s.mc $
#    $Date: 2014-06-10 06:42:14 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         INIT    PSUBI("Init")
  1.002  JMPL         MEASURE PSUBI("Measure")
  1.003  DISP         Subprocedure not found!
  1.004  END
  1.005  EVAL

# =====  Sub MG369XC Init Measure Flatness Power /N5531S  ===================
  2.001  LABEL        INIT

# Without option 2 (step attenuators) only step 0 will be measured.  So,
# Tuned RF measurements at low power levels are not needed.  To speed up
# the measurement a little use RF Power measurement instead. RF Power
# mode setup takes noticable time so the setup is separate from the
# measurement and setup can be run only once.
  2.002  IF           NOT(@Opt_2)
  2.003  N5531        RefFreqOutput = 10 MHz
  2.003  N5531        Freq = [V @FreqGHz]GHz; SensorModule = Same
  2.003  N5531        +Power = [V @LvldBm]dBm; Setup
  2.004  IEEE2        [@N5531S]:sens:freq:cent [V @FreqGHz] ghz
  2.005  ENDIF

  2.006  END
  2.007  EVAL

# =====  Sub MG369XC Measure Flatness Power /N5531S  ========================
  3.001  LABEL        MEASURE

# Without option 2 (step attenuators) only step 0 will be measured.  So,
# Tuned RF measurements at low power levels are not needed.  Tuned RF will
# take 2 power measurements at each new frequency, an initial RF Power
# measurement, then a spectrum analyzer measurement, to set the first range
# cal factor.  To speed up the measurement process a little,  just use
# RF Power measurements instead.

  3.002  IF           NOT(@Opt_2)
  3.003  IEEE2        [@N5531S]:sens:freq:cent [V @FreqGHz] ghz
  3.004  N5531        RefFreqOutput = 10 MHz
  3.004  N5531        Freq = [V @FreqGHz]GHz; SensorModule = Same
  3.004  N5531        +Power = [V @LvldBm]dBm; Read
  3.005  ELSE

  3.006  IF           @Step == 0
  3.007  N5531        RefFreqOutput = 10 MHz
  3.007  N5531        Freq = [V @FreqGHz]GHz; SensorModule = Same
  3.007  N5531        +Level = [V @LvldBm]dBm
  3.008  MATH         @TRFLRef = MEM
  3.009  ELSE
  3.010  N5531        RefFreqOutput = 10 MHz; RefLevel = [V @TRFLRef] dBm
  3.010  N5531        Freq = [V @FreqGHz]GHz; SensorModule = Same
  3.010  N5531        +Level = [V @LvldBm]dBm
  3.010  N5531        Read
  3.011  ENDIF

  3.012  ENDIF

# The @Offset_Value is calculated in an outer loop that sets the frequency
# at which the measurement is taken.
  3.013  MATH         @FlatnessPower = MEM + @Offset_Value
  3.014  END
