﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub N5532 Power Sensor Get Series
INSTRUMENT:            Sub N5532 Power Sensor Get Connector Type
INSTRUMENT:            Sub N5532 Power Sensor Get Frequency Type
INSTRUMENT:            Sub N5532 Power Sensor Get Frequency Range
INSTRUMENT:            Sub N5532 Power Sensor Get Dynamic Range
DATE:                  2012-12-21 12:51:05
AUTHOR:                Fluke
REVISION:              $Revision: 2754 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       150
=============================================================================
#
#  Text Source:
#    $RCSfile: Sub N5532 Power Sensor Get Series.mc $
#    $Date: 2013-04-04 09:19:20 -0700 (Thu, 04 Apr 2013) $
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        N5532A
#        N5532B
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         POWER_SENSOR_SERIES          PSUBI("Series")
  1.002  JMPL         POWER_SENSOR_CON_TYPE        PSUBI("Connector Type")
  1.003  JMPL         POWER_SENSOR_FREQUENCY_TYPE  PSUBI("Frequency Type")
  1.004  JMPL         POWER_SENSOR_FREQUENCY_RANGE PSUBI("Frequency Range")
  1.005  JMPL         POWER_SENSOR_DYNAMIC_RANGE   PSUBI("Dynamic Range")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

# =====  Sub N5532 Power Sensor Get Series  ===============================

  2.001  LABEL        POWER_SENSOR_SERIES

  2.002  IF           FIND(@PS, "N5532A-504", 1)
  2.003  MATH         @PS_Series = "N5532A-504"
  2.004  ELSEIF       FIND(@PS, "N5532B-504", 1)
  2.005  MATH         @PS_Series = "N5532A-504"
  2.006  ELSEIF       FIND(@PS, "N5532A-550", 1)
  2.007  MATH         @PS_Series = "N5532A-550"
  2.008  ELSEIF       FIND(@PS, "N5532B-550", 1)
  2.009  MATH         @PS_Series = "N5532A-550"
  2.010  ELSE
  2.011  DISP         Unsupport power sensor: [V @PS]
  2.012  ENDIF

  2.013  END

  2.014  EVAL   Increment step number

# =====  Sub N5532 Power Sensor Get Connector Type  =======================

  3.001  LABEL        POWER_SENSOR_CON_TYPE

  3.002  IF           FIND(@PS, "N5532A-504", 1)
  3.003  MATH         @PS_Con = "N"
  3.004  ELSEIF       FIND(@PS, "N5532B-504", 1)
  3.005  MATH         @PS_Con = "N"
  3.006  ELSEIF       FIND(@PS, "N5532A-550", 1)
  3.007  MATH         @PS_Con = "2.4 mm"
  3.008  ELSEIF       FIND(@PS, "N5532B-550", 1)
  3.009  MATH         @PS_Con = "2.4 mm"
  3.010  ELSE
  3.011  DISP         Unsupport power sensor: [V @PS]
  3.012  ENDIF

  3.013  END

  3.014  EVAL   Increment step number

# =====  Sub N5532 Power Sensor Get Frequency Type  =======================

  4.001  LABEL        POWER_SENSOR_FREQUENCY_TYPE

  4.002  IF           FIND(@PS, "N5532A-504", 1)
  4.003  MATH         @PS_FreqType = "N5532A-504"
  4.004  ELSEIF       FIND(@PS, "N5532B-504", 1)
  4.005  MATH         @PS_FreqType = "N5532B-504"
  4.006  ELSEIF       FIND(@PS, "N5532A-550", 1)
  4.007  MATH         @PS_FreqType = "N5532A-550"
  4.008  ELSEIF       FIND(@PS, "N5532B-550", 1)
  4.009  MATH         @PS_FreqType = "N5532B-550"
  4.010  ELSE
  4.011  DISP         Unsupport power sensor: [V @PS]
  4.012  ENDIF

  4.013  END

  4.014  EVAL   Increment step number

# =====  Sub N5532 Power Sensor Get Frequency Range =======================

  5.001  LABEL        POWER_SENSOR_FREQUENCY_RANGE

  5.002  IF           FIND(@PS, "N5532A-504", 1)
  5.003  MATH         @PS_MinFreq = 100E+3; @PS_MaxFreq = 4.2E+9
  5.004  ELSEIF       FIND(@PS, "N5532B-504", 1)
  5.005  MATH         @PS_MinFreq = 100E+3; @PS_MaxFreq = 4.2E+9
  5.006  ELSEIF       FIND(@PS, "N5532A-550", 1)
  5.007  MATH         @PS_MinFreq =  30E+6; @PS_MaxFreq = 50E+9
  5.008  ELSEIF       FIND(@PS, "N5532A-550", 1)
  5.009  MATH         @PS_MinFreq =  30E+6; @PS_MaxFreq = 50E+9
  5.010  ELSE
  5.011  DISP         Unsupport power sensor: [V @PS]
  5.012  ENDIF

  5.013  END

  5.014  EVAL   Increment step number

# =====  Sub N5532 Power Sensor Get Dynamic Range =========================

  6.001  LABEL        POWER_SENSOR_DYNAMIC_RANGE

  6.002  IF           ZCMP(@PS_Series, "N5532A-504")
  6.003  MATH         @PS_MinLvl = -120; @PS_MaxLvl = +30
  6.004  ELSEIF       ZCMP(@PS_Series, "N5532B-504")
  6.005  MATH         @PS_MinLvl = -120; @PS_MaxLvl = +30
  6.006  ELSEIF       ZCMP(@PS_Series, "N5532A-550")
  6.007  MATH         @PS_MinLvl = -120; @PS_MaxLvl = +30
  6.008  ELSEIF       ZCMP(@PS_Series, "N5532B-550")
  6.009  MATH         @PS_MinLvl = -120; @PS_MaxLvl = +30

  6.010  ELSE
  6.011  DISP         Unsupport power sensor series: [V @PS_Series]
  6.012  ENDIF

  6.013  END
